ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IEccMiscFeatures Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IEccMiscFeatures:

## Public Member Functions
void | ResetFirmware ()
| Resets Firmware.
bool | GetFrontEndPowerState ()
| Returns FrontEnd power supply state.
void | SetFontEndPowerState (bool state)
| Sets FrontEnd power supply state.
float | GetFrontEndVoltage ()
| Returns FrontEnd supply voltage [V].
void | SetFrontEndVoltage (float frontEndVoltage)
| Sets FrontEnd supply voltage [V].
EPwmFrequency | GetOutputStagePwmFrequency ()
| Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].
void | SetOutputStagePwmFrequency (EPwmFrequency frequency)
| Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].
bool | GetOutputStageEnabled ()
| Returns output stage state on specified channel.
void | SetOutputStageEnabled (bool enabled)
| Sets output stage state on specified channel.
float | GetAdcI ()
| Returns current on specified channel.
float | GetAdcV ()
| Returns voltage on specified channel.
int | GetDevPower ()
| Returns 3v3 for device on specified channel.
void | SetDevPower (int power)
| Sets 3v3 for device on specified channel.
EConnectedDeviceType | GetDeviceType ()
| Returns device type on specified channel.
float | GetUin ()
| Returns UIN.
float | GetIin ()
| Returns IIN.
float | GetUfe ()
| Returns UFE.
float | GetAnalogIn ()
| Returns analog input on specified channel.
float | GetResistance ()
| Returns Resistance on specified channel.
float | GetPinAvg ()
| Returns average input power (integration time = 1 second)
EAutoConfig | GetAutoConfig ()
| Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)
void | SetAutoConfig (EAutoConfig eAutoConfig)
| Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)
List< byte > | GetI2CList ()
| Returns list of I2C addresses on specified channel.
void | SetGpioState (int value)
| Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
int | GetGPIOState ()
| Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
void | SetGpioDirection (int value)
| Set direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
int | GetGPIODirection ()
| Get direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

## Member Function Documentation

## ◆ GetAdcI()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetAdcI | ( |  | ) |

Returns current on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAdcV()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetAdcV | ( |  | ) |

Returns voltage on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAnalogIn()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetAnalogIn | ( |  | ) |

Returns analog input on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAutoConfig()

EAutoConfig ICC4cPwmSdk.Device.IEccMiscFeatures.GetAutoConfig | ( |  | ) |

Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetDeviceType()

EConnectedDeviceType ICC4cPwmSdk.Device.IEccMiscFeatures.GetDeviceType | ( |  | ) |

Returns device type on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetDevPower()

int ICC4cPwmSdk.Device.IEccMiscFeatures.GetDevPower | ( |  | ) |

Returns 3v3 for device on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetFrontEndPowerState()

bool ICC4cPwmSdk.Device.IEccMiscFeatures.GetFrontEndPowerState | ( |  | ) |

Returns FrontEnd power supply state.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetFrontEndVoltage()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetFrontEndVoltage | ( |  | ) |

Returns FrontEnd supply voltage [V].

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetGPIODirection()

int ICC4cPwmSdk.Device.IEccMiscFeatures.GetGPIODirection | ( |  | ) |

Get direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetGPIOState()

int ICC4cPwmSdk.Device.IEccMiscFeatures.GetGPIOState | ( |  | ) |

Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetI2CList()

List< byte > ICC4cPwmSdk.Device.IEccMiscFeatures.GetI2CList | ( |  | ) |

Returns list of I2C addresses on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetIin()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetIin | ( |  | ) |

Returns IIN.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetOutputStageEnabled()

bool ICC4cPwmSdk.Device.IEccMiscFeatures.GetOutputStageEnabled | ( |  | ) |

Returns output stage state on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetOutputStagePwmFrequency()

EPwmFrequency ICC4cPwmSdk.Device.IEccMiscFeatures.GetOutputStagePwmFrequency | ( |  | ) |

Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetPinAvg()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetPinAvg | ( |  | ) |

Returns average input power (integration time = 1 second)

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetResistance()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetResistance | ( |  | ) |

Returns Resistance on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetUfe()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetUfe | ( |  | ) |

Returns UFE.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetUin()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetUin | ( |  | ) |

Returns UIN.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ ResetFirmware()

void ICC4cPwmSdk.Device.IEccMiscFeatures.ResetFirmware | ( |  | ) |

Resets Firmware.

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAutoConfig()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetAutoConfig | ( | EAutoConfig | eAutoConfig | ) |

Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetDevPower()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetDevPower | ( | int | power | ) |

Sets 3v3 for device on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetFontEndPowerState()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetFontEndPowerState | ( | bool | state | ) |

Sets FrontEnd power supply state.

Parameters

  state |

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetFrontEndVoltage()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetFrontEndVoltage | ( | float | frontEndVoltage | ) |

Sets FrontEnd supply voltage [V].

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetGpioDirection()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetGpioDirection | ( | int | value | ) |

Set direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetGpioState()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetGpioState | ( | int | value | ) |

Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetOutputStageEnabled()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetOutputStageEnabled | ( | bool | enabled | ) |

Sets output stage state on specified channel.

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetOutputStagePwmFrequency()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetOutputStagePwmFrequency | ( | EPwmFrequency | frequency | ) |

Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/Ecc1cSdkDeviceController.cs